Robotsystem of the Robot Group Leipzig: ColorUniformNoise Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Examples

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ColorUniformNoise Class Reference

generated colored noise. This is obtained by using time average of uniform distributed noise. More...

`#include <noisegenerator.h>`

Inherits NoiseGenerator.

Inheritance diagram for ColorUniformNoise:

[legend]
Collaboration diagram for ColorUniformNoise:

[legend]
List of all members.

## Public Member Functions
| ColorUniformNoise (double tau=0.3)
virtual | ~ColorUniformNoise ()
virtual void | init (unsigned int dimension)
| initialization with the the given dimension for multidimensional noise
virtual double | generate (double min, double max)
| generate somehow distributed random number parameterized with min and max.
virtual void | add (double *value, double min, double max)
| adds multidimensional noise to the value field.
## Protected Attributes
double | tau
double * | mean
double | mean1channel
double | factor

## Detailed Description

generated colored noise. This is obtained by using time average of uniform distributed noise.

Examples:

  integration/main.cpp, and main.cpp.

## Constructor & Destructor Documentation

ColorUniformNoise | ( | double | tau = `0.3` | ) | `[inline]`

Parameters:

  | tau | time averaging factor (1/window) (1: smoothing (white) 0.1: strong color, 0 no noise anymore

virtual ~ColorUniformNoise | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual void add | ( | double * | value,
|  | double | min,
|  | double | max |
| ) |  |  | `[inline, virtual]`

adds multidimensional noise to the value field.

Parameters:

  | value | field where noise is added. Must have length dimension (init())
  | min | lower bound of interval
  | max | upper bound of interval

Reimplemented from NoiseGenerator.

virtual double generate | ( | double | min,
|  | double | max |
| ) |  |  | `[inline, virtual]`

generate somehow distributed random number parameterized with min and max.

valid only for ONE random number, use add() for adding this kind of noise to several channels

Implements NoiseGenerator.

virtual void init | ( | unsigned int | dimension | ) | `[inline, virtual]`

initialization with the the given dimension for multidimensional noise

See also:
  add()

Reimplemented from NoiseGenerator.

## Member Data Documentation

double factor`[protected]`

double* mean`[protected]`

double mean1channel`[protected]`

double tau`[protected]`

The documentation for this class was generated from the following file:

- noisegenerator.h